# Copyright (c) 2016-2017 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/animationTrigger.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ ../lib/util/source/anki/clad -o ../generated/cladPython// clad/types/animationTrigger.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class AnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  AcknowledgeFaceInitPause                = 0
  AcknowledgeFaceNamed                    = 1
  AcknowledgeFaceUnnamed                  = 2
  AcknowledgeObject                       = 3
  AskToBeRightedLeft                      = 4
  AskToBeRightedRight                     = 5
  AudioTestAnim                           = 6
  BlockReact                              = 7
  BouncerGetIn                            = 8
  BouncerGetOut                           = 9
  BouncerIdeaToPlay                       = 10
  BouncerIntoScore1                       = 11
  BouncerIntoScore2                       = 12
  BouncerIntoScore3                       = 13
  BouncerRequestToPlay                    = 14
  BouncerTimeout                          = 15
  BouncerWait                             = 16
  BuildPyramidFirstBlockOnSide            = 17
  BuildPyramidFirstBlockUpright           = 18
  BuildPyramidLookForFace                 = 19
  BuildPyramidReactToBase                 = 20
  BuildPyramidSecondBlockOnSide           = 21
  BuildPyramidSecondBlockUpright          = 22
  BuildPyramidSuccess                     = 23
  BuildPyramidThankUser                   = 24
  BuildPyramidThirdBlockOnSide            = 25
  BuildPyramidThirdBlockUpright           = 26
  CantHandleTallStack                     = 27
  PatternGuessNewIdea                     = 28
  PatternGuessThinking                    = 29
  CodeLabBored                            = 30
  CodeLabCat                              = 31
  CodeLabChatty                           = 32
  CodeLabDejected                         = 33
  CodeLabDog                              = 34
  CodeLabEnter                            = 35
  CodeLabExcited                          = 36
  CodeLabExit                             = 37
  CodeLabFrustrated                       = 38
  CodeLabHappy                            = 39
  CodeLabSleep                            = 40
  CodeLabSneeze                           = 41
  CodeLabSurprise                         = 42
  CodeLabThinking                         = 43
  CodeLabUnhappy                          = 44
  CodeLabVictory                          = 45
  ConnectWakeUp                           = 46
  ConnectWakeUp_SevereEnergy              = 47
  ConnectWakeUp_SevereRepair              = 48
  ComeHere_AlreadyHere                    = 49
  ComeHere_SearchForFace                  = 50
  ComeHere_SearchForFace_FoundFace        = 51
  CozmoSaysGetIn                          = 52
  CozmoSaysGetOut                         = 53
  CozmoSaysSpeakGetInShort                = 54
  CozmoSaysSpeakGetInMedium               = 55
  CozmoSaysSpeakGetInLong                 = 56
  CozmoSaysSpeakGetOutShort               = 57
  CozmoSaysSpeakGetOutMedium              = 58
  CozmoSaysSpeakGetOutLong                = 59
  CozmoSaysSpeakLoop                      = 60
  CozmoSaysBadWord                        = 61
  CozmoSaysIdle                           = 62
  CubeMovedSense                          = 63
  CubeMovedUpset                          = 64
  CubePounceFake                          = 65
  CubePounceGetIn                         = 66
  CubePounceGetOut                        = 67
  CubePounceGetReady                      = 68
  CubePounceGetUnready                    = 69
  CubePounceIdleLiftDown                  = 70
  CubePounceIdleLiftUp                    = 71
  CubePounceLoseHand                      = 72
  CubePounceLoseRound                     = 73
  CubePounceLoseSession                   = 74
  CubePouncePounceClose                   = 75
  CubePouncePounceNormal                  = 76
  CubePounceWinHand                       = 77
  CubePounceWinRound                      = 78
  CubePounceWinSession                    = 79
  DanceMambo                              = 80
  DemoSpeedTapCozmoWin                    = 81
  DemoSpeedTapCozmoLose                   = 82
  DizzyReactionHard                       = 83
  DizzyReactionMedium                     = 84
  DizzyReactionSoft                       = 85
  DizzyShakeLoop                          = 86
  DizzyShakeStop                          = 87
  DizzyStillPickedUp                      = 88
  DriveEndAngry                           = 89
  DriveEndDefault                         = 90
  DriveEndHappy                           = 91
  DriveEndLaunch                          = 92
  DriveLoopAngry                          = 93
  DriveLoopDefault                        = 94
  DriveLoopHappy                          = 95
  DriveLoopLaunch                         = 96
  DriveStartAngry                         = 97
  DriveStartDefault                       = 98
  DriveStartHappy                         = 99
  DriveStartLaunch                        = 100
  DroneModeBackwardDrivingEnd             = 101
  DroneModeBackwardDrivingLoop            = 102
  DroneModeBackwardDrivingStart           = 103
  DroneModeCliffEvent                     = 104
  DroneModeForwardDrivingEnd              = 105
  DroneModeForwardDrivingLoop             = 106
  DroneModeForwardDrivingStart            = 107
  DroneModeGetIn                          = 108
  DroneModeGetOut                         = 109
  DroneModeIdle                           = 110
  DroneModeKeepAlive                      = 111
  DroneModeTurboDrivingStart              = 112
  EarnedSparks                            = 113
  FacePlantRoll                           = 114
  FacePlantRollArmUp                      = 115
  FailedToRightFromFace                   = 116
  FeedingAteFullEnough_Normal             = 117
  FeedingAteFullEnough_Severe             = 118
  FeedingAteNotFullEnough_Normal          = 119
  FeedingAteNotFullEnough_Severe          = 120
  FeedingDrivingGetIn_Severe              = 121
  FeedingDrivingGetOut_Severe             = 122
  FeedingDrivingLoop_Severe               = 123
  FeedingPlaceLiftOnCube_Normal           = 124
  FeedingPlaceLiftOnCube_Severe           = 125
  FeedingIdleSearch_Normal                = 126
  FeedingIdleSearch_Severe                = 127
  FeedingIdleSearchForFaces_Normal        = 128
  FeedingIdleSearchForFaces_Severe        = 129
  FeedingIdleWaitForFullCube_Normal       = 130
  FeedingIdleWaitForFullCube_Severe       = 131
  FeedingIdleWaitForShakeNoHead_Severe    = 132
  FeedingIdleWaitForShake_Normal          = 133
  FeedingIdleWaitForShake_Severe          = 134
  FeedingInterrupted                      = 135
  FeedingInterrupted_Severe               = 136
  FeedingSearchRequest                    = 137
  FeedingSearchRequest_Severe             = 138
  FeedingSearchFailure                    = 139
  FeedingSearchFailure_Severe             = 140
  FeedingReactToFullCube_Normal           = 141
  FeedingReactToFullCube_Severe           = 142
  FeedingReactToSeeCube_Normal            = 143
  FeedingReactToSeeCube_Severe            = 144
  FeedingReactToShake_Normal              = 145
  FeedingReactToShake_Severe              = 146
  FistBumpIdle                            = 147
  FistBumpRequestOnce                     = 148
  FistBumpRequestRetry                    = 149
  FistBumpSuccess                         = 150
  FistBumpLeftHanging                     = 151
  FlipDownFromBack                        = 152
  FrustratedByFailure                     = 153
  FrustratedByFailureMajor                = 154
  GameSetupGetIn                          = 155
  GameSetupGetOut                         = 156
  GameSetupIdle                           = 157
  GameSetupReaction                       = 158
  GoToSleepGetIn                          = 159
  GoToSleepGetOut                         = 160
  GoToSleepOff                            = 161
  GoToSleepSleeping                       = 162
  GuardDogBusted                          = 163
  GuardDogCubeDisconnect                  = 164
  GuardDogFakeout                         = 165
  GuardDogInterruption                    = 166
  GuardDogPlayerSuccess                   = 167
  GuardDogPulse                           = 168
  GuardDogSettle                          = 169
  GuardDogSleepLoop                       = 170
  GuardDogTimeout                         = 171
  GuardDogTimeoutCubesTouched             = 172
  GuardDogTimeoutCubesUntouched           = 173
  Hiccup                                  = 174
  HiccupGetIn                             = 175
  HiccupPlayerCure                        = 176
  HiccupRobotOnBack                       = 177
  HiccupRobotOnFace                       = 178
  HiccupRobotPickedUp                     = 179
  HiccupSelfCure                          = 180
  HikingDrivingEnd                        = 181
  HikingDrivingLoop                       = 182
  HikingDrivingStart                      = 183
  HikingInterestingEdgeThought            = 184
  HikingIntro                             = 185
  HikingLookAround                        = 186
  HikingObserve                           = 187
  HikingReactToEdge                       = 188
  HikingReactToNewArea                    = 189
  HikingReactToPossibleMarker             = 190
  HikingSquintEnd                         = 191
  HikingSquintLoop                        = 192
  HikingSquintStart                       = 193
  HikingWakeUpOffCharger                  = 194
  IdleOnCharger                           = 195
  InteractWithFaceTrackingIdle            = 196
  InteractWithFacesInitialNamed           = 197
  InteractWithFacesInitialUnnamed         = 198
  KnockOverEyes                           = 199
  KnockOverFailure                        = 200
  KnockOverGrabAttempt                    = 201
  KnockOverPreActionNamedFace             = 202
  KnockOverPreActionUnnamedFace           = 203
  KnockOverSuccess                        = 204
  LaserAcknowledge                        = 205
  LaserDriveEnd                           = 206
  LaserDriveLoop                          = 207
  LaserDriveStart                         = 208
  LaserFace                               = 209
  LaserGetOut                             = 210
  LaserPounce                             = 211
  LookInPlaceForFacesBodyPause            = 212
  LookInPlaceForFacesHeadMovePause        = 213
  MajorFail                               = 214
  MajorWin                                = 215
  MeetCozmoGetIn                          = 216
  MeetCozmoLookFaceGetIn                  = 217
  MeetCozmoLookFaceGetOut                 = 218
  MeetCozmoScanningIdle                   = 219
  MeetCozmoFirstEnrollmentSayName         = 220
  MeetCozmoFirstEnrollmentRepeatName      = 221
  MeetCozmoFirstEnrollmentCelebration     = 222
  MeetCozmoReEnrollmentSayName            = 223
  MeetCozmoRenameFaceSayName              = 224
  MeetCozmoLookFaceInterrupt              = 225
  MemoryMatchPlayerWinHand                = 226
  MemoryMatchPlayerWinHandLong            = 227
  MemoryMatchPlayerWinHandSolo            = 228
  MemoryMatchPlayerLoseHand               = 229
  MemoryMatchPlayerLoseHandSolo           = 230
  MemoryMatchCozmoWinHand                 = 231
  MemoryMatchCozmoLoseHand                = 232
  MemoryMatchCozmoWinGame                 = 233
  MemoryMatchPlayerWinGame                = 234
  MemoryMatchSoloGameOver                 = 235
  MemoryMatchReactToPattern               = 236
  MemoryMatchReactToPatternSolo           = 237
  MemoryMatchPointCenter                  = 238
  MemoryMatchPointLeftBig                 = 239
  MemoryMatchPointLeftSmall               = 240
  MemoryMatchPointRightBig                = 241
  MemoryMatchPointRightSmall              = 242
  MemoryMatchPointCenterFast              = 243
  MemoryMatchPointLeftBigFast             = 244
  MemoryMatchPointLeftSmallFast           = 245
  MemoryMatchPointRightBigFast            = 246
  MemoryMatchPointRightSmallFast          = 247
  MemoryMatchCozmoGetOut                  = 248
  MemoryMatchCozmoFollowTapsSoundOnly     = 249
  NamedFaceInitialGreeting                = 250
  NeedsMildLowEnergyRequest               = 251
  NeedsMildLowPlayRequest                 = 252
  NeedsMildLowRepairRequest               = 253
  NeedsSevereLowEnergyCliffReact          = 254
  NeedsSevereLowEnergyDrivingEnd          = 255
  NeedsSevereLowEnergyDrivingLoop         = 256
  NeedsSevereLowEnergyDrivingStart        = 257
  NeedsSevereLowEnergyForceGetOut         = 258
  NeedsSevereLowEnergyGetIn               = 259
  NeedsSevereLowEnergyIdle                = 260
  NeedsSevereLowEnergyRequest             = 261
  NeedsSevereLowEnergySlopeReact          = 262
  NeedsSevereLowPlayForceGetOut           = 263
  NeedsSevereLowPlayGetIn                 = 264
  NeedsSevereLowPlayRequest               = 265
  NeedsSevereLowRepairCliffReact          = 266
  NeedsSevereLowRepairDrivingEnd          = 267
  NeedsSevereLowRepairDrivingLoop         = 268
  NeedsSevereLowRepairDrivingStart        = 269
  NeedsSevereLowRepairForceGetOut         = 270
  NeedsSevereLowRepairGetIn               = 271
  NeedsSevereLowRepairIdle                = 272
  NeedsSevereLowRepairRequest             = 273
  NeedsSevereLowRepairSlopeReact          = 274
  NeutralFace                             = 275
  NothingToDoBoredEvent                   = 276
  NothingToDoBoredIdle                    = 277
  NothingToDoBoredIntro                   = 278
  NothingToDoBoredOutro                   = 279
  OnLearnedPlayerName                     = 280
  OnSawNewNamedFace                       = 281
  OnSawNewUnnamedFace                     = 282
  OnSawOldNamedFace                       = 283
  OnSawOldUnnamedFace                     = 284
  OnSpeedtapCozmoConfirm                  = 285
  OnSpeedtapFakeout                       = 286
  OnSpeedtapGameCozmoWinHighIntensity     = 287
  OnSpeedtapGameCozmoWinLowIntensity      = 288
  OnSpeedtapGamePlayerWinHighIntensity    = 289
  OnSpeedtapGamePlayerWinLowIntensity     = 290
  OnSpeedtapGetOut                        = 291
  OnSpeedtapHandCozmoWin                  = 292
  OnSpeedtapHandPlayerWin                 = 293
  OnSpeedtapIdle                          = 294
  OnSpeedtapRoundCozmoWinHighIntensity    = 295
  OnSpeedtapRoundCozmoWinLowIntensity     = 296
  OnSpeedtapRoundPlayerWinHighIntensity   = 297
  OnSpeedtapRoundPlayerWinLowIntensity    = 298
  OnSpeedtapTap                           = 299
  OnWaitForCubesMinigameSetup             = 300
  OnWiggle                                = 301
  OnboardingBirth                         = 302
  OnboardingCubeDockFail                  = 303
  OnboardingDiscoverCube                  = 304
  OnboardingDriveEnd                      = 305
  OnboardingDriveLoop                     = 306
  OnboardingDriveStart                    = 307
  OnboardingEyesOn                        = 308
  OnboardingHelloPlayer                   = 309
  OnboardingHelloWorld                    = 310
  OnboardingIdle                          = 311
  OnboardingIdleEnergy                    = 312
  OnboardingIdlePlay                      = 313
  OnboardingIdleRepair                    = 314
  OnboardingInteractWithCube              = 315
  OnboardingPreBirth                      = 316
  OnboardingReactToCube                   = 317
  OnboardingReactToCubePutDown            = 318
  OnboardingReactToFace                   = 319
  OnboardingSoundOnlyLiftEffortPickup     = 320
  OnboardingSoundOnlyLiftEffortPlaceLow   = 321
  OnboardingGetOut                        = 322
  OnboardingWakeUpDriveOffCharger         = 323
  PeekABooGetIn                           = 324
  PeekABooGetOutHappy                     = 325
  PeekABooGetOutSad                       = 326
  PeekABooHighIntensity                   = 327
  PeekABooIdle                            = 328
  PeekABooLowIntensity                    = 329
  PeekABooMedIntensity                    = 330
  PeekABooNoUserInteraction               = 331
  PeekABooShort                           = 332
  PeekABooSurprised                       = 333
  PetDetectionCat                         = 334
  PetDetectionDog                         = 335
  PetDetectionShort                       = 336
  PetDetectionShort_Cat                   = 337
  PetDetectionShort_Dog                   = 338
  PetDetectionSneeze                      = 339
  PickupHelperPreActionNamedFace          = 340
  PickupHelperPreActionUnnamedFace        = 341
  PlacedOnCharger                         = 342
  PopAWheelieInitial                      = 343
  PopAWheeliePreActionNamedFace           = 344
  PopAWheeliePreActionUnnamedFace         = 345
  PopAWheelieRealign                      = 346
  PopAWheelieRetry                        = 347
  PounceDriveEnd                          = 348
  PounceDriveLoop                         = 349
  PounceDriveStart                        = 350
  PounceFace                              = 351
  PounceFail                              = 352
  PounceGetOut                            = 353
  PounceInitial                           = 354
  PouncePounce                            = 355
  PounceSuccess                           = 356
  ProceduralLive                          = 357
  PutDownBlockKeepAlive                   = 358
  PutDownBlockPutDown                     = 359
  ReactToBlockPickupSuccess               = 360
  ReactToBlockRetryPickup                 = 361
  ReactToCliff                            = 362
  ReactToCliffDetectorStop                = 363
  ReactToObstacle                         = 364
  ReactToMotorCalibration                 = 365
  ReactToNewBlockAsk                      = 366
  ReactToNewBlockBig                      = 367
  ReactToNewBlockSmall                    = 368
  ReactToOnLeftSide                       = 369
  ReactToOnRightSide                      = 370
  ReactToPerchedOnBlock                   = 371
  ReactToPickup                           = 372
  ReactToPokeReaction                     = 373
  ReactToPokeStartled                     = 374
  ReactToUnexpectedMovement               = 375
  ReactToUnexpectedMovement_Severe_Energy = 376
  ReactToUnexpectedMovement_Severe_Repair = 377
  RepairFailMild                          = 378
  RepairFailSevere                        = 379
  RepairFixMildGetIn                      = 380
  RepairFixMildGetOut                     = 381
  RepairFixMildGetReady                   = 382
  RepairFixMildHeadDown                   = 383
  RepairFixMildHeadUp                     = 384
  RepairFixMildIdle                       = 385
  RepairFixMildLiftDown                   = 386
  RepairFixMildLiftUp                     = 387
  RepairFixMildLowerLift                  = 388
  RepairFixMildRaiseLift                  = 389
  RepairFixMildRoundReact                 = 390
  RepairFixMildWheelsBack                 = 391
  RepairFixMildWheelsForward              = 392
  RepairFixSevereGetIn                    = 393
  RepairFixSevereGetOut                   = 394
  RepairFixSevereGetReady                 = 395
  RepairFixSevereHeadDown                 = 396
  RepairFixSevereHeadUp                   = 397
  RepairFixSevereIdle                     = 398
  RepairFixSevereLiftDown                 = 399
  RepairFixSevereLiftUp                   = 400
  RepairFixSevereLowerLift                = 401
  RepairFixSevereRaiseLift                = 402
  RepairFixSevereRoundReact               = 403
  RepairFixSevereWheelsBack               = 404
  RepairFixSevereWheelsForward            = 405
  RepairIdleFullyRepaired                 = 406
  RequestGameInterrupt                    = 407
  RequestGameKeepAwayAccept0              = 408
  RequestGameKeepAwayAccept1              = 409
  RequestGameKeepAwayDeny0                = 410
  RequestGameKeepAwayDeny1                = 411
  RequestGameKeepAwayIdle0                = 412
  RequestGameKeepAwayIdle1                = 413
  RequestGameKeepAwayInitial0             = 414
  RequestGameKeepAwayInitial1             = 415
  RequestGameKeepAwayPreDrive0            = 416
  RequestGameKeepAwayPreDrive1            = 417
  RequestGameKeepAwayRequest0             = 418
  RequestGameKeepAwayRequest1             = 419
  RequestGameMemoryMatchAccept0           = 420
  RequestGameMemoryMatchAccept1           = 421
  RequestGameMemoryMatchDeny0             = 422
  RequestGameMemoryMatchDeny1             = 423
  RequestGameMemoryMatchIdle0             = 424
  RequestGameMemoryMatchIdle1             = 425
  RequestGameMemoryMatchInitial0          = 426
  RequestGameMemoryMatchInitial1          = 427
  RequestGameMemoryMatchPreDrive0         = 428
  RequestGameMemoryMatchPreDrive1         = 429
  RequestGameMemoryMatchRequest0          = 430
  RequestGameMemoryMatchRequest1          = 431
  RequestGamePickupFail                   = 432
  RequestGameSpeedTapAccept0              = 433
  RequestGameSpeedTapAccept1              = 434
  RequestGameSpeedTapDeny0                = 435
  RequestGameSpeedTapDeny1                = 436
  RequestGameSpeedTapIdle0                = 437
  RequestGameSpeedTapIdle1                = 438
  RequestGameSpeedTapInitial0             = 439
  RequestGameSpeedTapInitial1             = 440
  RequestGameSpeedTapPreDrive0            = 441
  RequestGameSpeedTapPreDrive1            = 442
  RequestGameSpeedTapRequest0             = 443
  RequestGameSpeedTapRequest1             = 444
  RollBlockInitial                        = 445
  RollBlockPreActionNamedFace             = 446
  RollBlockPreActionUnnamedFace           = 447
  RollBlockPutDown                        = 448
  RollBlockRealign                        = 449
  RollBlockRetry                          = 450
  RollBlockSuccess                        = 451
  SdkTextToSpeech                         = 452
  Shiver                                  = 453
  Shocked                                 = 454
  Singing_80bpm                           = 455
  Singing_100bpm                          = 456
  Singing_120bpm                          = 457
  Singing_GetIn                           = 458
  Singing_GetOut                          = 459
  Sleeping                                = 460
  SoftSparkUpgradeLift                    = 461
  SoftSparkUpgradeTracks                  = 462
  SoundOnlyLiftEffortPickup               = 463
  SoundOnlyLiftEffortPlaceHigh            = 464
  SoundOnlyLiftEffortPlaceLow             = 465
  SoundOnlyLiftEffortPlaceRoll            = 466
  SoundOnlyRamIntoBlock                   = 467
  SoundOnlyTurnSmall                      = 468
  SparkDrivingLoop                        = 469
  SparkDrivingStart                       = 470
  SparkDrivingStop                        = 471
  SparkFailure                            = 472
  SparkGetIn                              = 473
  SparkGetOut                             = 474
  SparkIdle                               = 475
  SparkPickupFinalCubeReaction            = 476
  SparkPickupInitialCubeReaction          = 477
  SparkSuccess                            = 478
  SpeedTapDrivingEnd                      = 479
  SpeedTapDrivingLoop                     = 480
  SpeedTapDrivingStart                    = 481
  StackBlocksSuccess                      = 482
  StartSleeping                           = 483
  SuccessfulWheelie                       = 484
  Surprise                                = 485
  TurtleRoll                              = 486
  UnitTestAnim                            = 487
  VC_Alrighty                             = 488
  VC_HowAreYouDoing_AllGood               = 489
  VC_Listening                            = 490
  VC_LookDownForLaser                     = 491
  VC_LookDownNoLaser                      = 492
  VC_NoFollowupCommand_NoFace             = 493
  VC_NoFollowupCommand_WithFace           = 494
  VC_Refuse_energy                        = 495
  VC_Refuse_repair                        = 496
  VC_Refuse_sparks                        = 497
  VC_StartledWakeup                       = 498
  WaitOnSideLoop                          = 499
  WorkoutPostLift_highEnergy              = 500
  WorkoutPostLift_lowEnergy               = 501
  WorkoutPostLift_mediumEnergy            = 502
  WorkoutPreLift_highEnergy               = 503
  WorkoutPreLift_lowEnergy                = 504
  WorkoutPreLift_mediumEnergy             = 505
  WorkoutPutDown_highEnergy               = 506
  WorkoutPutDown_lowEnergy                = 507
  WorkoutPutDown_lowEnergy_simple         = 508
  WorkoutPutDown_mediumEnergy             = 509
  WorkoutStrongLift_highEnergy            = 510
  WorkoutStrongLift_lowEnergy             = 511
  WorkoutStrongLift_mediumEnergy          = 512
  WorkoutTransition_highEnergy            = 513
  WorkoutTransition_lowEnergy             = 514
  WorkoutTransition_mediumEnergy          = 515
  WorkoutWeakLift_highEnergy              = 516
  WorkoutWeakLift_lowEnergy               = 517
  WorkoutWeakLift_mediumEnergy            = 518
  Count                                   = 519

Anki.Cozmo.AnimationTrigger = AnimationTrigger
del AnimationTrigger


class CubeAnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  Carrying                    = 0
  Connected                   = 1
  CubePouncePlayerLose        = 2
  CubePouncePlayerWin         = 3
  Dance_01                    = 4
  Dance_02                    = 5
  Dance_03                    = 6
  Dance_04                    = 7
  Dance_05                    = 8
  Dance_06                    = 9
  DanceFadeOff                = 10
  DrivingTo                   = 11
  FeedingBlank                = 12
  FeedingCyanCycle            = 13
  FeedingCyanSolid            = 14
  Flash                       = 15
  GatherCubesAllCubesInBeacon = 16
  GatherCubesCubeInBeacon     = 17
  GuardDogBeingMoved          = 18
  GuardDogBusted              = 19
  GuardDogOff                 = 20
  GuardDogSetup               = 21
  GuardDogSleeping            = 22
  GuardDogSuccessfullyFlipped = 23
  Interacting                 = 24
  InteractingBehaviorLock     = 25
  Onboarding                  = 26
  PyramidBaseBottom           = 27
  PyramidFlourish             = 28
  PyramidOnSideLocated        = 29
  PyramidOnSideNotLocated     = 30
  PyramidPickup               = 31
  PyramidSingle               = 32
  Sleep                       = 33
  SleepNoFade                 = 34
  SpeedTapWin                 = 35
  SpeedTapLose                = 36
  Visible                     = 37
  WakeUp                      = 38
  Workout                     = 39
  Count                       = 40

Anki.Cozmo.CubeAnimationTrigger = CubeAnimationTrigger
del CubeAnimationTrigger


